# create apikey - CreateUMInferAPIKey

## Overview

create apikey






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUMInferAPIKey`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |**Yes**|
| **Name** | string | apikey Name |**Yes**|
| **ModelverseDisabled** | int | Is modelverse available? 0: Enabled 1: Disabled |No|
| **SandBoxDisabled** | int | Is the sandbox available? 0: Enabled 1: Disabled |No|
| **DailyLimitAmount** | string | Daily limit, with the unit depending on the user's channel. For channel 126, the unit is USD |No|
| **MonthlyLimitAmount** | string | Monthly limit, with the unit depending on the user's channel. For channel 126, the unit is USD |No|
| **GrantAllModels** | boolean | All model access switches: when enabled, they are not controlled by the GrantedModels parameter; when disabled, only models added in GrantedModels can be accessed |No|
| **GrantedModels** | string | The authorization model is represented in an array format. When GrantAllModels is set to false, the current key can only access models in the array. For example: ["deepseek-ai/DeepSeek-V3.2-Think"] |No|
| **IPWhitelist** | string | IP whitelist, multiple sets of IPs separated by newlines. Supports IPv4 and network segments. Enter and press Enter to take effect. Up to 100 entries are allowed. Example:<br />192.168.1.1<br />192.168.1.10-192.168.1.100<br />192.168.1.10/24 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Data** | [*APIKey*](#apikey) | apikey |No|
| **TotalCount** | int | TotalCount |No|

#### Data Model


#### APIKey

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **IPWhitelist** | string | IP whitelist, multiple sets of IPs separated by newlines. Supports IPv4 and network segments. Enter and press Enter to take effect. Up to 100 entries are allowed. Example: 192.168.1.1 192.168.1.10-192.168.1.100 192.168.1.10/24 |**Yes**|
| **KeyId** | string | Resource ID |No|
| **Name** | string | Name |No|
| **ChannelId** | int | channel id |No|
| **TopOrganizationId** | int | company id |No|
| **OrganizationId** | int | organization id |No|
| **Status** | int | Status, 1 Normal |No|
| **CreateTime** | int | Creation Time |No|
| **Key** | string | Key Value |No|
| **ExpireTime** | int | Unix timestamp of expiration time, -1 means no expiration |No|
| **ModelverseDisabled** | int | Is modelverse available? 0: Enabled 1: Disabled |No|
| **SandBoxDisabled** | int | Is the sandbox available? 0: Enabled 1: Disabled |No|
| **DailyLimitAmount** | string | Daily limit, with the unit depending on the user's channel. For channel 126, the unit is USD |No|
| **DailyUsedAmount** | string | Daily usage quota,with the unit depending on the user's channel. For channel 126, the unit is USD |No|
| **MonthlyLimitAmount** | string | Monthly limit, with the unit depending on the user's channel. For channel 126, the unit is USD |No|
| **MonthlyUsedAmount** | string | Monthly usage quota,with the unit depending on the user's channel. For channel 126, the unit is USD |No|
| **GrantAllModels** | boolean | All model access switches: when enabled, they are not controlled by the GrantedModels parameter; when disabled, only models added in GrantedModels can be accessed |No|
| **GrantedModels** | array[string] | Authorized models, separated by commas, 'all' indicates all models have permission |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=CreateUMInferAPIKey
&Name=ZBipIhpf
&ProjectId=ljHegiFu
&ModelverseDisabled=SnDXIFbJ
&SandBoxDisabled=XzXxkYAV
&DailyLimitAmount=PpNpafNH
&MonthlyLimitAmount=zEOmxHqX
&GrantAllModels=NfSGzRqO
&GrantedModels=dexajLHC
&IPWhitelist=MNehDXUN
```

### Response Example
    
```json
{
  "Action": "CreateUMInferAPIKeyResponse",
  "Data": "SaaAxTCi",
  "RetCode": 0,
  "TotalCount": 1
}
```





